//
//  Simplex_NoisePlugIn.h
//  Simplex Noise
//
//  Created by Bosh on 12/23/09.
//  Copyright (c) 2009 fsk. All rights reserved.
//

#import <Quartz/Quartz.h>

@interface Simplex_NoisePlugIn : QCPlugIn
{
	//double numberOfOctaves;
	//double persistence;
	int grad3[12][3];
	int perm[512];
	double numberOfOutputPorts;
	double seedOffset;
	bool arrayOutput;
	NSMutableArray* valuesArray;
	
}



@property double inputSeed;
@property double inputMinValue;
@property double inputMaxValue;
//@property double outputValue;
@property unsigned int inputNumberOfOctaves;
@property double inputPersistence;
@property double numberOfOutputPorts;
@property double seedOffset;
@property bool arrayOutput;


- (double) noiseWithCoordinatesX:(double)x andY:(double)y;
- (void) setNumberOfOutputPorts: (double)input;

@end
